CatalogResolver.Catalog (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.resolver, class: CatalogResolver, class: Catalog

Package org.apache.commons.configuration2.resolver

# Class CatalogResolver.Catalog

java.lang.Object
org.apache.xml.resolver.Catalog
org.apache.commons.configuration2.resolver.CatalogResolver.Catalog

Enclosing class:
  `CatalogResolver`

public static class CatalogResolver.Catalog extends org.apache.xml.resolver.Catalog
Overrides the Catalog implementation to use the underlying FileSystem.

- ## Field Summary

  ### Fields inherited from class org.apache.xml.resolver.Catalog

  `base, BASE, CATALOG, catalogCwd, catalogEntries, catalogFiles, catalogManager, catalogs, default_override, DELEGATE_PUBLIC, DELEGATE_SYSTEM, DELEGATE_URI, DOCTYPE, DOCUMENT, DTDDECL, ENTITY, LINKTYPE, localCatalogFiles, localDelegate, NOTATION, OVERRIDE, PUBLIC, readerArr, readerMap, REWRITE_SYSTEM, REWRITE_URI, SGMLDECL, SYSTEM, SYSTEM_SUFFIX, URI, URI_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Catalog()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `loadSystemCatalogs()`
  Load the catalogs.
  `protected String`
  `normalizeURI(String uriref)`
  Performs character normalization on a URI reference.
  `void`
  `parseCatalog(String baseDir, String fileName)`
  Parses the specified catalog file.

  ### Methods inherited from class org.apache.xml.resolver.Catalog

  `addDelegate, addEntry, addReader, copyReaders, encodedByte, fixSlashes, getCatalogManager, getCurrentBase, getDefaultOverride, makeAbsolute, newCatalog, parseAllCatalogs, parseCatalog, parseCatalog, parseCatalog, parseCatalogFile, parsePendingCatalogs, resolveDoctype, resolveDocument, resolveEntity, resolveLocalPublic, resolveLocalSystem, resolveLocalURI, resolveNotation, resolvePublic, resolveSubordinateCatalogs, resolveSystem, resolveURI, setCatalogManager, setupReaders, unknownEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Catalog

    public Catalog()
    Constructs a new instance.

- ## Method Details

  - ### loadSystemCatalogs

    public void loadSystemCatalogs() throws IOException
    Load the catalogs.
    Overrides:
      `loadSystemCatalogs` in class `org.apache.xml.resolver.Catalog`
    Throws:
      `IOException` - if an error occurs.

  - ### normalizeURI

    protected String normalizeURI(String uriref)
    Performs character normalization on a URI reference.
    Overrides:
      `normalizeURI` in class `org.apache.xml.resolver.Catalog`
    Parameters:
      `uriref` - The URI reference
    Returns:
      The normalized URI reference.

  - ### parseCatalog

    public void parseCatalog(String baseDir, String fileName) throws IOException
    Parses the specified catalog file.
    Parameters:
      `baseDir` - The base directory, if not included in the file name.
      `fileName` - The catalog file. May be a full URI String.
    Throws:
      `IOException` - If an error occurs.